Loading...
Searching...
No Matches
pappso::masschroq::Protein Class Reference

`#include <protein.h>`

## Public Member Functions

| Protein (const QString &id, const QString &description)
| Protein (const Protein &other)
virtual | ~Protein ()
const QString & | getId () const
const QString & | getDescription () const

## Private Attributes

const QString | m_id
const QString | m_description

## Detailed Description

Todo
  write docs

Definition at line 44 of file protein.h.

## Constructor & Destructor Documentation

## Protein() [1/2]

pappso::masschroq::Protein::Protein | ( | const QString & | id,
|  | const QString & | description )

Default constructor

Definition at line 31 of file protein.cpp.

: m_id(id), m_description(description)
{
}
pappso::masschroq::Protein::m_id
const QString m_id
Definition protein.h:62
pappso::masschroq::Protein::m_description
const QString m_description
Definition protein.h:63

References m_description, and m_id.

## Protein() [2/2]

pappso::masschroq::Protein::Protein | ( | const Protein & | other | ) |

Definition at line 36 of file protein.cpp.

: m_id(other.m_id), m_description(other.m_description)
{
}

References m_description, and m_id.

## ~Protein()

pappso::masschroq::Protein::~Protein | ( |  | ) |

virtual

Destructor

Definition at line 41 of file protein.cpp.

{
}

## Member Function Documentation

## getDescription()

const QString & pappso::masschroq::Protein::getDescription | ( |  | ) | const

Definition at line 51 of file protein.cpp.

{
return m_description;
}

References m_description.

## getId()

const QString & pappso::masschroq::Protein::getId | ( |  | ) | const

Definition at line 46 of file protein.cpp.

{
return m_id;
}

References m_id.

Referenced by pappso::masschroq::JsonInput::read_protein_list().

## Member Data Documentation

## m_description

const QString pappso::masschroq::Protein::m_description

private

Definition at line 63 of file protein.h.

Referenced by Protein(), Protein(), and getDescription().

## m_id

const QString pappso::masschroq::Protein::m_id

private

Definition at line 62 of file protein.h.

Referenced by Protein(), Protein(), and getId().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/protein.h
- pappsomspp/core/masschroq/protein.cpp